
<?php
    if ( Cubix_I18n::getLang() != Cubix_Application::getDefaultLang() ) {
        $lang = '/' . Cubix_I18n::getLang();
    } else {
        $lang = '';
    }
?>

<div id="ticket-thread-container" class="tk-popup">
    <div class="popup-header an drag_header">
        <!--		<p class="title an">--><?//= __('pm_conversation_with', array('name' => $this->participant_name)) ?><!--</p>-->
        <p class="title an">
            <?= $this->ticket['subject'] ?><br/>
        </p>

        <p class="desc an">
            <?= $this->ticket['message'] ?>
        </p>

        <div class="close-btn"></div>
    </div>
    <div class="toClear"></div>

    <div class="body">
        <div class="conv">
            <?= $this->layout()->render('/support/ajax-comments-list') ?>


        </div>
        <div class="toClear"></div>

        <? if($this->ticket['status'] == 1): ?>
            <div id="message-send">
                <form class="send-message-box" action="<?=$lang?>/private-messaging/send-message-ajax" method="post">
                    <input type="hidden" name="id" value="<?= $this->ticket['id'] ?>" />
                    <textarea name="message"></textarea>
                    <input data-wrapper-class="submit-mssg" type="submit" id="participant-id" value="OK<?//=__('ok')?>"/>
                </form>
                <!--        lang_id + '/private-messaging/send-message-ajax'-->
            </div>
        <? endif; ?>
    </div>

</div>

<script type="text/javascript">
    var form = $('.send-message-box');
    var autoDetect = null;

    form.validate({
        rules: {
            message: {
                required: true
            }
        },
        errorPlacement: function ( error, element ) {
            element.after( error );
        },
        submitHandler: function(_form) {

            form.ajaxSubmit({
                type: "POST",
                url: '/support/ajax-add-comment?lang=<?= $this->lang() ?>',
                beforeSubmit: function( formData, jqForm, options ) {
                    form.find('textarea').css({ 'opacity' : '0.7', 'pointer-events' : 'none' });
                },
                success: function( result ){
                    location.reload();
//                    if( autoDetect ) clearInterval(autoDetect);
//                    autoDetect = setInterval( MCubix.Private.checkForNewPms, 10000 );
                }
            });
        }
    });

</script>